package com.gic.haoban.manage.api.dto.moment;

import java.io.Serializable ;
import java.util.Date;

public class QwMomentPlanAttendDTO implements Serializable{

	private static final long serialVersionUID = 85681326319600L;
	
	/**id*/
	private Long attendId;
	/**计划id*/
	private Long planId;
	/**企微企业id*/
	private String wxEnterpriseId;
	/**企业id*/
	private String enterpriseId;
	/**staff*/
	private String staffId;
	/**导购*/
	private String clerkId;
	/**导购code*/
	private String clerkCode;
	/**导购名称*/
	private String clerkName;
	/**创建时间*/
	private java.util.Date createTime;
	/**更新时间*/
	private java.util.Date updateTime;
	/**是否删除*/
	private Integer deleteFlag;
	/**评论数*/
	private Integer commentCount;
	/**点赞数*/
	private Integer likeCount;
	/**1待执行 2已执行*/
	private Integer taskStatus;
	/**任务执行时间*/
	private java.util.Date sendTime;
	/**企微朋友圈id*/
	private String momentId;
	/**企微获取数据时间*/
	private java.util.Date qwDataTime;
	/**门店id*/
	private String storeId;
	// 0待下发 1已下发
	private Integer statusFlag ;

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public Long getAttendId() {
		return attendId;
	}

	public void setAttendId(Long attendId) {
		this.attendId = attendId;
	}

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public Integer getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}

	public Integer getLikeCount() {
		return likeCount;
	}

	public void setLikeCount(Integer likeCount) {
		this.likeCount = likeCount;
	}

	public Integer getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getMomentId() {
		return momentId;
	}

	public void setMomentId(String momentId) {
		this.momentId = momentId;
	}

	public Date getQwDataTime() {
		return qwDataTime;
	}

	public void setQwDataTime(Date qwDataTime) {
		this.qwDataTime = qwDataTime;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}
}